2019.2b CinemachineStoryboard error

Hi,

I just upgraded to 2019.2b and I receive this error message now:

Library\PackageCache\com.unity.cinemachine@2.3.3\Runtime\Behaviours\CinemachineStoryboard.cs(68,32): error CS0234: The type or namespace name ‘UI’ does not exist in the namespace ‘UnityEngine’ (are you missing an assembly reference?)

Any quick fix possible?

Thanks

Update the Cinemachine package…

But there is no upgrade possible (v2.3.3).

Are you talking about 2019.2.0b1? There’s a big possibility that Cinemachine needs to be upgraded. You’ll just have to wait until it’s done, or, you can fix the scripts by yourself. From the error message you are getting, it should be easy.

The team is aware of the issue and you can track the status here:
https://issuetracker.unity3d.com/product/unity/issues/guid/1152080/

1 Like

Ok!

Hello!
Thay say that
[quote]
In other cases, the issue was resolved by adding a reference to the UGUI package in the Asmdefs.
[/quote]
But how do I do that?

1 Like

They say it’s fixed in “2.3.4-preview-8” (sic)
There’s no such package though… I tried “2.3.4-preview.8” too, but that doesn’t exist either.

You can download it from here: https://github.com/Unity-Technologies/upm-package-cinemachine/tree/2019.1
After that you can install it manually with your package manager (press the + button to add a local package).

3 Likes

Great! It works!
Thank you so much!

Found “2.3.4-preview.8” in the staging registry.
So you can also install it from there if you add "registry": "https://staging-packages.unity.com" to manifest.json

I’m a little confused after what to do when you download cinemachine files. I downloaded it, unzipped it, but when I go to the package manager to add it, what then? It wants me to choose a file but I do not know which one to pick.

Edit: Nevermind, it was the package.json file

2 Likes